Subject: [bug#43654] [PATCH] Add perl-opengl

From: Andreas Enge <[email-masked]>
Date: Mon, 5 Oct 2020 22:51:29 +0200

On Fri, Oct 02, 2020 at 09:33:04PM +0200, Malte Frank Gerdes wrote:
> I just tried to build with those variables set to arbitrary values:
> 
> --8<---------------cut here---------------start------------->8---
> GLUT=99999
> VERSION=3.0 Mesa 99.99.99
> VENDOR=NoVendor
> RENDERER=MesaRenderer
> --8<---------------cut here---------------end--------------->8---

Actually I just went further:
FREEGLUT=
GLUT=
VERSION=
VENDOR=
RENDERER=
EXTENSIONS=

The package compiles, but running test.pl (which showed just a blank square
before) now fails with this message:
Goto undefined subroutine &AutoLoader::AUTOLOAD at /home/andreas/.guix-profile/lib/perl5/site_perl/5.30.2/x86_64-linux-thread-multi/OpenGL.pm line 6178.

However, I tried several of the examples, and they work.

So one option would be to disable the test ("#:tests? #f") and create the
essentially empty glversion.txt file above inside a phase. There would not
even be a need to store it as a an auxiliary file; see the use of
"call-with-output-file" in guix/tests.scm, for instance.

What do you think?

Andreas